<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('academics', function (Blueprint $table) {
            $table->id();
            $table->string('personal_id');
            $table->string('applyAs');
            $table->string('discipline');
            $table->string('gradeSystem');
            $table->string('registrationNumber');
            $table->string('universityName');
            $table->year('yearOfAdmission');
            $table->decimal('gpa', 3, 2)->nullable();
            $table->decimal('percentage', 5, 2)->nullable();
            $table->timestamps();
            $table->softDeletes(); // If soft deletes are needed
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('academics');
    }
};
